System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Represents a configuration element that defines an extension, which enables the user to create user-defined bindings, behaviors, etc.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified name.

  A unique name of this configuration element.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified name and type.

  A unique name of this configuration element.
  The type of this configuration element.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("name", IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added. To be added.

  Gets or sets a unique name of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added. To be added.

  Gets or sets the type of this configuration element.